# EPRIMITIVEOPSTATUS Enumeration

Namespace: `ArchestrA.Toolkit`

**Syntax**

```csharp
enum EPRIMITIVEOPSTATUS
{
eSuccess = 0,
eUndefinedError = 1,
ePrimitiveNotFound = 2,
ePrimitiveDefinitionNotFound = 3,
eHasLockedAttributes = 4,
eNotDynamicPrimitive = 5,
eOperationCausesNameConflict = 6,
eInvalidPrimitiveName = 7,
eNotVirtualPrimitive = 8,
eCanNotFindParentPrimitive = 9,
eParentPrimitiveIsVirtual = 10,
eConflictWithExtensionPrimitive = 11,
}
```

**Remarks**

This enumeration indicates the status of a virtual primitive operation within the package.
